export declare type MathExpression = {
    raw: string;
    value: string;
    displayMode: boolean;
};
/**
 * Extracts delimited math expressions from the given *text*, substitutes them
 * with numbered markers and returns a tuple of the modified *text* and an
 * array of the extracted expressions.
 *
 * NOTE: Sequences that looks like our markers (`@@\d+@@`) will be escaped by
 * adding a zero (`0`) before the number. They will be unescaped in
 * `restoreMath()`.
 */
export declare function extractMath(text: string): [string, MathExpression[]];
/**
 * Replaces math markers injected by `extractMath()` into the given *text*
 * with strings from the given *math* array and unescapes sequences that looks
 * like our markers.
 */
export declare function restoreMath(text: string, math: string[]): string;
//# sourceMappingURL=mathExtractor.d.ts.map